<?php
class Twitter Extends CI_Controller{
	public function index() {
		$this->load->library('twitteroauth');
		$this->load->config('twitter');

		$consumer= $this->config->item('twitter_consumer_token');
		$consumer_secret= $this->config->item('twitter_consumer_secret');
	    $access_token= $this->config->item('twitter_access_token'); 
	    $access_token_secret= $this->config->item('twitter_access_secret');

		$connection = $this->twitteroauth->create($consumer, $consumer_secret, $access_token, $access_token_secret);
		$statuses = $connection->get("search/tweets", ["q" => "twitterapi"]);
		echo "<pre>";
		print_r($statuses);
    }
    public function recent(){
    	$this->load->library('twitteroauth');
		$this->load->config('twitter');

		$consumer= $this->config->item('twitter_consumer_token');
		$consumer_secret= $this->config->item('twitter_consumer_secret');
	    $access_token= $this->config->item('twitter_access_token'); 
	    $access_token_secret= $this->config->item('twitter_access_secret');

		$connection = $this->twitteroauth->create($consumer, $consumer_secret, $access_token, $access_token_secret);
		$statuses = $connection->get("search/tweets", ["q" => "twitterapi"]);
		$data= $connection->get("statuses/home_timeline", ["count" => 5, "excludes_replies" => true]);
		foreach($data as $items)
		{ 
			// echo "<pre>"; 
		 //    print_r($items);
			echo "Time and Date of Tweet: ".$items->created_at."<br />";
			echo "Tweet: ". $items->text."<br />";
			echo "Tweeted by: ". $items->user->name."<br />";
			echo "Screen name: ". $items->user->screen_name."<br />";
			echo "Followers: ". $items->user->followers_count."<br />";
			echo "Friends: ". $items->user->friends_count."<br />";
			echo "Listed: ". $items->user->listed_count."<br /><hr />";
		}
    }
}